javax.xml.ws.handler

## Interface HandlerResolver

-     public interface HandlerResolver

  `HandlerResolver` is an interface implemented by an application to get control over the handler chain set on proxy/dispatch objects at the time of their creation.

  A `HandlerResolver` may be set on a `Service` using the `setHandlerResolver` method.

  When the runtime invokes a `HandlerResolver`, it will pass it a `PortInfo` object containing information about the port that the proxy/dispatch object will be accessing.

  Since:
    JAX-WS 2.0
  See Also:
    `Service.setHandlerResolver(javax.xml.ws.handler.HandlerResolver)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Handler>` | `getHandlerChain(PortInfo portInfo)` Gets the handler chain for the specified port.

- - ### Method Detail

    - #### getHandlerChain

          List<Handler> getHandlerChain(PortInfo portInfo)

      Gets the handler chain for the specified port.
      Parameters:
        `portInfo` - Contains information about the port being accessed.
      Returns:
        java.util.List<Handler> chain

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.